Subject: Offline Message from Mary Novack: I placed order 560634 today. Then got an em
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Thu, 01 Sep 2022 03:16:41 -0000

From: Mary Novack <[email-masked]>
Phone: 7634386545
Location: Minneapolis, United States
URL: https://swagtron.com/waiver-unverified/
Department: SwagTron

I placed order 560634 today. Then got an email to click a link to confirm but I am not comfortable clicking a link in an unsolicited email. Now they sent another email asking me to click Yes or No. I placed the order! Why would you send something asking if I placed the order? This note to you should confirm my order in the amount of $358.79.
Please respond so I know this is done. I am hoping this is not delaying my order and that those emails are just spam.
Mary Novack

----
Zopim
https://www.zopim.com